/*==========================================================================*/
/* Copyright (c) 1999 - Sykes Enterprises Inc. - All rights reserved        */
/*--------------------------------------------------------------------------*/
/* Sykes grants you ("Licensee") a non-exclusive, royalty free, license to  */
/* use, modify and redistribute this software in source and binary code     */
/* form, provided that i) this copyright notice and license appear on all   */
/* copies of the software; and ii) Licensee does not utilize the software   */
/* in a manner which is disparaging to Sykes.                               */
/*                                                                          */
/* This software is provided "AS IS", without a warranty of any kind. ALL   */
/* EXPRESS OR IMPLIED CONDITIONS, REPRESENTATIONS AND WARRANTIES, INCLUDING */
/* ANY IMPLIED WARRANTY OF MERCHANTABILITY, FITNESS FOR A PARTICULAR        */
/* PURPOSE OR NON-INFRINGEMENT, ARE HEREBY EXCLUDED. SYKES AND ITS          */
/* LICENSORS SHALL NOT BE LIABLE FOR ANY DAMAGES SUFFERED BY LICENSEE AS A  */
/* RESULT OF USING, MODIFYING OR DISTRIBUTING THE SOFTWARE OR ITS           */
/* DERIVATIVES. IN NO EVENT WILL SYKES OR ITS LICENSORS BE LIABLE FOR ANY   */
/* LOST REVENUE, PROFIT OR DATA, OR FOR DIRECT, INDIRECT, SPECIAL,          */
/* CONSEQUENTIAL, INCIDENTAL OR PUNITIVE DAMAGES, HOWEVER CAUSED AND        */
/* REGARDLESS OF THE THEORY OF LIABILITY, ARISING OUT OF THE USE OF OR      */
/* INABILITY TO USE SOFTWARE, EVEN IF SYKES HAS BEEN ADVISED OF THE         */
/* POSSIBILITY OF SUCH DAMAGES.                                             */
/*==========================================================================*/

#include "stdafx.h"
#include "Waikoloa.h"
#include "DlgAdd.h"

#ifdef _DEBUG
#define new DEBUG_NEW
#undef THIS_FILE
static char THIS_FILE[] = __FILE__;
#endif


/*--------------------------------------------------------------------------*/

CDlgAdd::CDlgAdd(CWnd* pParent /*=NULL*/)
	: CDialog(CDlgAdd::IDD, pParent)
{
	//{{AFX_DATA_INIT(CDlgAdd)
	m_csSource = _T("");
	m_csTarget = _T("");
	m_csId = _T("");
	m_csType = _T("");
	m_nX = -1;
	m_nY = -1;
	m_nCX = -1;
	m_nCY = -1;
	//}}AFX_DATA_INIT
}


/*--------------------------------------------------------------------------*/

void CDlgAdd::DoDataExchange(CDataExchange* pDX)
{
	CDialog::DoDataExchange(pDX);

	//{{AFX_DATA_MAP(CDlgAdd)
	DDX_Text(pDX, IDC_SOURCE, m_csSource);
	DDX_Text(pDX, IDC_TARGET, m_csTarget);
	DDX_Text(pDX, IDC_ID, m_csId);
	DDX_Text(pDX, IDC_TYPE, m_csType);
	DDX_Text(pDX, IDC_X, m_nX);
	DDV_MinMaxInt(pDX, m_nX, -999, 9999);
	DDX_Text(pDX, IDC_Y, m_nY);
	DDV_MinMaxInt(pDX, m_nY, -999, 9999);
	DDX_Text(pDX, IDC_CX, m_nCX);
	DDV_MinMaxInt(pDX, m_nCX, -999, 9999);
	DDX_Text(pDX, IDC_CY, m_nCY);
	DDV_MinMaxInt(pDX, m_nCY, -999, 9999);
	//}}AFX_DATA_MAP
}


/*--------------------------------------------------------------------------*/

BEGIN_MESSAGE_MAP(CDlgAdd, CDialog)
	//{{AFX_MSG_MAP(CDlgAdd)
	//}}AFX_MSG_MAP
END_MESSAGE_MAP()

